UPS Shipping plugin error - The request was aborted: Could not create SSL/TLS secure channel. NCver3.7

3 years ago
I'm getting the following error when the site is computing UPS shipping:
in the Application event log
The request was aborted: Could not create SSL/TLS secure channel.

In checkout, the error looks like this (same error):
The request was aborted: Could not create SSL/TLS secure channel.

The plugin is
UPS (United Parcel Service)
Version: 1.19
Author: nopCommerce team
System name: Shipping.UPS
Display order: 1

Not sure what to do to fix this. Is there a newer version of this plugin?
3 years ago
This is weird, sometimes it works, sometimes it does not. - Looks like a UPS problem
3 years ago
Looks like UPS now requires the TLS 1.2 security protocol (starting May 31). It's weird but it still works fine now. Anyway It's recommended to apply this commit
2 years ago
I realize this is an older thread but for some reason, I'm starting to see this error on estimating shipping as well as on checkout. When a user tries more than once, it works, but it's not intuitive to try again. They'd just leave. I am using UPS Plugin version 1.20 on NOP 3.8. What else can I try?
2 years ago
UPDATE: The errors coincided with our ISP AT&T Network Based Firewall upgrade. Most likely the culprit.

par6 wrote:
I realize this is an older thread but for some reason, I'm starting to see this error on estimating shipping as well as on checkout. When a user tries more than once, it works, but it's not intuitive to try again. They'd just leave. I am using UPS Plugin version 1.20 on NOP 3.8. What else can I try?
11 months ago
We are running nopCommerce 4.0 with the UPS plugin version 1.34. All was well but in the last week we can no longer retrieve rates and we get the following error in the log. "The request was aborted: Could not create SSL/TLS secure channel."

Can anyone help? I'm not a programmer so a simple explanation would be appreciated. Thanks!
11 months ago
As per above, check to see if your site / company has done any "Firewall upgrade".
11 months ago
I am running nopCommerce 4.0 on windows 2008 R2 using iis 7. UPS will now only communicate negotiated rates using TLS 1.2. When I attempt to turn off TLS 1.0 and 1.1 on my server, my site will not load in IIS. Is the UPS plugin for nop 4.0 TLS 1.2 compliant, and if so how do force it to communicate that way? UPS will no longer communicate our negotiated rates via the API.

Thanks for any help to a non-programmer.